CREATE TABLE flights (
       flight_id INTEGER NOT NULL
     , name VARCHAR(32) NOT NULL
     , departure_utc TIMESTAMP NOT NULL
     , arrival_utc TIMESTAMP NOT NULL
     , PRIMARY KEY (flight_id)
);

CREATE TABLE persons (
       person_id INTEGER NOT NULL
     , first_name VARCHAR(32) NOT NULL
     , last_name VARCHAR(32) NOT NULL
     , PRIMARY KEY (person_id)
);

CREATE TABLE reservations (
       reservation_id INTEGER NOT NULL
     , person_id_fk INTEGER NOT NULL
     , flight_id_fk INTEGER NOT NULL
     , registration_utc TIMESTAMP NOT NULL
     , comment VARCHAR(-1)
     , PRIMARY KEY (reservation_id, person_id_fk, flight_id_fk)
     , CONSTRAINT reservations_flight_id_fk_fkey FOREIGN KEY (flight_id_fk)
                  REFERENCES flights (flight_id) ON DELETE NO ACTION ON UPDATE NO ACTION
     , CONSTRAINT reservations_person_id_fk_fkey FOREIGN KEY (person_id_fk)
                  REFERENCES persons (person_id) ON DELETE NO ACTION ON UPDATE NO ACTION
);

